Skip to Content
avatar image
Former Member

Issues with iOS 7.1 and Afaria

We are currently running Afaria 7 SP3 along with a custom Afaria client for iOS build 6236 and are having issues with our users who have upgraded to iOS 7.1.

The profiles that we have pushed dissapear. Reenrolling appears work successfully but no profiles are installed, even though the process runs through and appears successful. We are also unable to uninstall and reinstall the Afaria client and receive the error "Cannot install applications because the certificate for afaria.forestcity.net is not valid".

Is anyone else having this issue? I have looked through the documentation and cannot find that 7.1 is incompatible with our current configuration.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    avatar image
    Former Member
    Mar 11, 2014 at 02:16 PM

    you need FX39 for SP3 or FX3 for SP4 in order to support iOS 7.1 :-)

    Peter

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Mar 11, 2014 at 02:17 PM

    I just found this on the frontline support site, I believe my question has been answered:

    Important Notice

    iOS Devices

    Apple has made a change to the PushMagic or UnlockToken values in that they may differ in size to previous values. This can cause issues with iOS devices being able to connect to the Afaria server as the current database field size is not adequate to facilitate the variable length of this value.

    Apple has made a change to the PushMagic or UnlockToken values in that they may differ in size to previous values. This can cause issues with iOS devices being able to connect to the Afaria server as the current database field size is not adequate to facilitate the variable length of this value.


    There is an Apple issue that we have found in our testing that occurs when iOS devices are enrolled. This issue fails a check when the enrollment payload is inspected and the signing cannot be read. SAP believes Apple will fix this issue prior to iOS 7.1 being released but we are working on a patch that will address this issue shortly in case the fix does not make the iOS 7.1 GA release.
    Afaria will be providing a patch to address this issue that increases the size of the database column from 2K to 6K to accommodate this change.

    This issue is resolved in Service Pack 3 Hot Fix 39 and Service Pack 4 Hot Fix 3. Available now.

    Add comment
    10|10000 characters needed characters exceeded